> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/glue-runtime-api/entity/glue-reference-code-entities-instantiation.md).

# Introduction

Entity instantiation in Glue projects is standardized. The constructor appears in Generated code. The standardization of constructors enables the following:

* Every Entity is instantiated the same way, making Entity instantiation in custom code easy
* Generated code can instantiate any Entity allow for factory and addition of Entities inside other Entities and Screens in Glue.

For information on how to instantiate Entities, see [the following tutorial](broken://pages/rViT6t7JgWJj1juIjptq).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/glue-runtime-api/entity/glue-reference-code-entities-instantiation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
